POST | Create or edit IBM WebSphere publication profile

Prev Next

Creates or edits a IBM WebSphere plugin publication profile.

  • Endpoint: /api/certificate/profile/websphere
  • Method: POST
  • Request: POST /api/certificate/profile/websphere

Request parameters

Parameter Type Required Description
code_profile int No Existing profile code. We will create a new profile if you don't provide the existing one.
name_profile string Yes Profile name.
key_db_path string Yes Key database address and name.
key_db_password string Yes Server password.
label string Yes Server label.
code_credential int Conditional A credential code is to be used in the publication. Required if a username is not provided.
username string Conditional The username is used to locate credentials for publication. Required if code_credential is not provided.
devices array Yes Array with device codes where the certificate should be published.

Example using cURL

curl -X POST https://[segura_vault_url]/api/certificate/profile/websphere \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name_profile": "Application Servers",
    "key_db_path": "/opt/IBM/WebSphere/AppServer/etc/key.kdb",
    "key_db_password": "password123",
    "label": "DefaultCert",
    "username": "wasadmin",
    "devices": [401, 402]
  }'

Response

{
  "status": 200,
  "message": "Profile created successfully",
  "error": false,
  "code_profile": 53,
  "name_profile": "Application Servers",
  "key_db_path": "/opt/IBM/WebSphere/AppServer/etc/key.kdb",
  "key_db_password": "********",
  "label": "DefaultCert",
  "username": "wasadmin",
  "devices": [401, 402]
}

Error responses

HTTP Status Code Description
400 Bad Request Invalid parameters provided.
401 Unauthorized Unauthorized access.
403 Forbidden Forbidden access.
404 Not Found Resource not found.
500 Internal Server Error Internal server error.